from src.models import general_models
from src.scrapers.adapters.sslv import SCRAPER_NAME as SSLV_NAME

sample_filters_input = [
    {
        "label": "",
        "name": "url",
        "value": "https://www.ss.lv/lv/real-estate/flats/riga/centre/fDgSeF4S.html",
    },
    {"label": "", "name": "site", "value": SSLV_NAME},
    {"label": "", "name": "email", "value": "einars.hamrihs@gmail.com"},
    {"label": "Cena min", "name": "topt[8][min]", "value": ""},
    {"label": "Cena max", "name": "topt[8][max]", "value": "260"},
    {"label": "Istabas min", "name": "topt[1][min]", "value": ""},
    {"label": "Istabas max", "name": "topt[1][max]", "value": ""},
    {"label": "Platība min", "name": "topt[3][min]", "value": ""},
    {"label": "Platība max", "name": "topt[3][max]", "value": ""},
    {"label": "Stāvs min", "name": "topt[4][min]", "value": ""},
    {"label": "Stāvs max", "name": "topt[4][max]", "value": ""},
    {"label": "Sērija", "name": "opt[6]", "value": ""},
    {"label": "", "name": "submit", "value": True},
    {
        "label": "",
        "name": "csrf_token",
        "value": "Ijc5Y2QwOTNiNjFmMWY5ZTlmNjM3MzdlMTUzM2JkMjdhZDcwNzA5ODUi.Ya4yWw.XhLHfIlps_flkR6TlHxh5DabUeM",
    },
]


latest_ads_expected_result = [
    general_models.Ad(
        id="tr_53288604",
        title="Piedāvāju ilgtermiņa īrei mēbelētu 2-istabu dzīvokli tuvu centra",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/abohh.html",
        data={
            "Iela": "Sadovņikova 21",
            "Ist.": "2",
            "m2": "55",
            "Stāvs": "2/6",
            "Sērija": "Specpr.",
            "Cena, m2": "7.27 €",
            "Cena": "400  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_52889702",
        title="Īpašnieks izīrē mājīgu, gaišu un klusu 3 istabu dzīvokli (139m2)",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/afcdc.html",
        data={
            "Iela": "Čaka 59",
            "Ist.": "3",
            "m2": "139",
            "Stāvs": "5/5",
            "Sērija": "P. kara",
            "Cena, m2": "6.83 €",
            "Cena": "950  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53223283",
        title="Jauni udensvadi, vannasistaba pēc kapitālā remonts. Var uz 1 g p",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/aexik.html",
        data={
            "Iela": "Brīvības 99a",
            "Ist.": "2",
            "m2": "32",
            "Stāvs": "4/5",
            "Sērija": "P. kara",
            "Cena, m2": "1,500 €",
            "Cena": "48,000  €",
        },
    ),
    general_models.Ad(
        id="tr_52595880",
        title="Izīrēju studija tipa 1-istabas dzīvokli 8. stāvā uz ilgu laiku. ",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/adkxx.html",
        data={
            "Iela": "Klusā 18",
            "Ist.": "1",
            "m2": "23",
            "Stāvs": "8/9",
            "Sērija": "Renov.",
            "Cena, m2": "12.61 €",
            "Cena": "290  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53288421",
        title="Pagalma māja, slēgts pagalms, iežogota teritorija, ieeja no paga",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/ggkdx.html",
        data={
            "Iela": "Maskavas 134",
            "Ist.": "2",
            "m2": "35",
            "Stāvs": "1/2",
            "Sērija": "P. kara",
            "Cena, m2": "8.14 €",
            "Cena": "285  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53155592",
        title="Sētas māja, panorāmas skats no logiem.\nKluss, saulains dzīvokl",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/aicfd.html",
        data={
            "Iela": "Brīvības 158",
            "Ist.": "2",
            "m2": "49",
            "Stāvs": "4/5",
            "Sērija": "P. kara",
            "Cena, m2": "1,592 €",
            "Cena": "78,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53132998",
        title="Sākot ar 1. juniju, renovētā 5 stāvu daudzdzīvokļu ēkā. Tiek izī",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/acejl.html",
        data={
            "Iela": "Maskavas 81A",
            "Ist.": "1",
            "m2": "36",
            "Stāvs": "2/5",
            "Sērija": "P. kara",
            "Cena, m2": "9.72 €",
            "Cena": "350  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53207613",
        title="Pārdod jauku divistabu dzīvokli klusā pagalmas mājā. Lieliskā ",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/agkoe.html",
        data={
            "Iela": "Tērbatas 82A",
            "Ist.": "2",
            "m2": "35",
            "Stāvs": "2/5",
            "Sērija": "P. kara",
            "Cena, m2": "1,314 €",
            "Cena": "46,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53130590",
        title="Ilgtermiņa īrei. gāzes apkure, skaitītāji, logi uz iekšpagalmu. ",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/epohg.html",
        data={
            "Iela": "Ganību d. 40a",
            "Ist.": "40",
            "m2": "3/3",
            "Stāvs": "P. kara",
            "Sērija": "6.25 €",
            "Cena, m2": "250  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53164247",
        title="Pārdodam dzīvokli klusā pagalmas majā.\nZemi komunālie maksājum",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/djefg.html",
        data={
            "Iela": "Zvaigžņu 13C",
            "Ist.": "1",
            "m2": "26",
            "Stāvs": "1/5",
            "Sērija": "P. kara",
            "Cena, m2": "923 €",
            "Cena": "24,000  €",
        },
    ),
    general_models.Ad(
        id="tr_52020828",
        title="Privāta istaba. Ļoti laba lokācija. Attistīta infrastruktūra\nKo",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/adhgo.html",
        data={
            "Iela": "Valdemāra 123",
            "Ist.": "1",
            "m2": "20",
            "Stāvs": "4/6",
            "Sērija": "Specpr.",
            "Cena, m2": "14.50 €",
            "Cena": "290  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_51296304",
        title="Аренда квартир в Риге. Домовладелeц cдает 1 комнатную квартиру в",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/agbpd.html",
        data={
            "Iela": "Sadovņikova 47",
            "Ist.": "1",
            "m2": "30",
            "Stāvs": "5/5",
            "Sērija": "P. kara",
            "Cena, m2": "9.33 €",
            "Cena": "280  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_52825626",
        title="Аренда квартир в Риге. Домовладелеть сдает 1 комн. квартиру студ",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/ajlnd.html",
        data={
            "Iela": "Sadovņikova 47",
            "Ist.": "1",
            "m2": "19",
            "Stāvs": "4/5",
            "Sērija": "P. kara",
            "Cena, m2": "10.53 €",
            "Cena": "200  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_52928086",
        title="Investīciju projekts 7. stāva izbūvei daudzdzīvokļu mājā Lāčplēš",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/bpmop.html",
        data={
            "Iela": "Lāčplēša 54",
            "Ist.": "Citi",
            "m2": "643",
            "Stāvs": "7/7",
            "Sērija": "P. kara",
            "Cena, m2": "138 €",
            "Cena": "89,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53243310",
        title="Ērts, silts un mājīgs dzīvoklis pašā Rīgas sirdī. Atrodas presti",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/cixjo.html",
        data={
            "Iela": "Katrīnas d. 20-2",
            "Ist.": "2",
            "m2": "41",
            "Stāvs": "3/6",
            "Sērija": "Staļina",
            "Cena, m2": "9.39 €",
            "Cena": "385  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_52997613",
        title="Piedāvājam ilgtermiņa īrei jaunu, modernu un skaistu pilnīgi apr",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/agxgn.html",
        data={
            "Iela": "Rūpniecības 25",
            "Ist.": "2",
            "m2": "38",
            "Stāvs": "3/6",
            "Sērija": "Jaun.",
            "Cena, m2": "17.76 €",
            "Cena": "675  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_52233818",
        title="Attīstītājs pārdod dzīvokli renovētā mājā. Dzīvoklis ir ar parke",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/doojn.html",
        data={
            "Iela": "Laboratorijas 4",
            "Ist.": "3",
            "m2": "67",
            "Stāvs": "2/5",
            "Sērija": "Renov.",
            "Cena, m2": "1,634 €",
            "Cena": "109,500  €",
        },
    ),
    general_models.Ad(
        id="tr_51525011",
        title="Ekskluzīvs 2stāvīgs dzīvoklis pašā Rīgas centrā ar skatu uz Vērm",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/bxixc.html",
        data={
            "Iela": "Barona 14",
            "Ist.": "3",
            "m2": "85",
            "Stāvs": "2/5",
            "Sērija": "Renov.",
            "Cena, m2": "2,694 €",
            "Cena": "229,000  €",
        },
    ),
    general_models.Ad(
        id="tr_47353084",
        title="Īpašnieks pārdod plašu 5 istabu dzīvokli projektā „Šokolāde” ar ",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/eghbl.html",
        data={
            "Iela": "Hospitāļu 23",
            "Ist.": "5",
            "m2": "214",
            "Stāvs": "5/8",
            "Sērija": "Jaun.",
            "Cena, m2": "1,818 €",
            "Cena": "389,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53038305",
        title="Īpašnieks īrē dzīvokli klusajā centrā, māja atrodas pagalmā. 400",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/dmhxk.html",
        data={
            "Iela": "Tērbatas 8B",
            "Ist.": "2",
            "m2": "53",
            "Stāvs": "5/5",
            "Sērija": "P. kara",
            "Cena, m2": "7.55 €",
            "Cena": "400  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_49603585",
        title="Dizainera veidota apdare, pilnībā mēbelēts, stilīgs 2-līmeņu man",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/eijmk.html",
        data={
            "Iela": "Sadovņikova 29A",
            "Ist.": "3",
            "m2": "77",
            "Stāvs": "5/6",
            "Sērija": "P. kara",
            "Cena, m2": "2,039 €",
            "Cena": "157,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53257471",
        title="Tiek izīrēts saulains, stilīgs 2-istabu dzīvoklis pagalma mājā. ",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/exdip.html",
        data={
            "Iela": "Dzirnavu 82",
            "Ist.": "2",
            "m2": "63",
            "Stāvs": "4/6",
            "Sērija": "Renov.",
            "Cena, m2": "9.52 €",
            "Cena": "600  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53287889",
        title="Zeme īpašumā, fasādes māja, renovēta māja, dzīvokļu skaits ēkā 1",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/cdhmj.html",
        data={
            "Iela": "Ģertrūdes 52",
            "Ist.": "4",
            "m2": "118",
            "Stāvs": "3/5",
            "Sērija": "P. kara",
            "Cena, m2": "1,975 €",
            "Cena": "233,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53287888",
        title="Pagalma ēka, renovēta māja, slēgts pagalms, ieeja no pagalma, kā",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/ehdfn.html",
        data={
            "Iela": "Bruņinieku 28",
            "Ist.": "3",
            "m2": "78",
            "Stāvs": "4/6",
            "Sērija": "P. kara",
            "Cena, m2": "7.69 €",
            "Cena": "600  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53287158",
        title="Сдаётся просторная, однокомнатная, мебелированная квартира по ти",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/clooc.html",
        data={
            "Iela": "Mūrnieku 7",
            "Ist.": "1",
            "m2": "70",
            "Stāvs": "1/2",
            "Sērija": "Specpr.",
            "Cena, m2": "3.14 €",
            "Cena": "220  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53286862",
        title="Tiek izīrēts mūsdienīgs 2 istabu dzīvoklis, Rīgas klusajā centrā",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/beonj.html",
        data={
            "Iela": "Valdemāra 121",
            "Ist.": "2",
            "m2": "53",
            "Stāvs": "3/5",
            "Sērija": "P. kara",
            "Cena, m2": "8.11 €",
            "Cena": "430  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_52771757",
        title="Pārdod labiekārtotu 4-istabu dzīvokli ar 3 izolētām istabām un p",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/binxh.html",
        data={
            "Iela": "Stabu 60",
            "Ist.": "4",
            "m2": "116",
            "Stāvs": "4/5",
            "Sērija": "P. kara",
            "Cena, m2": "1,250 €",
            "Cena": "145,000  €",
        },
    ),
    general_models.Ad(
        id="tr_51753794",
        title="Dzīvoklis 50 m2 + Bēniņi 50m2. Zemi komunālie maksājumi. Zeme īp",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/abmof.html",
        data={
            "Iela": "Matīsa 83",
            "Ist.": "2",
            "m2": "80",
            "Stāvs": "5/6",
            "Sērija": "P. kara",
            "Cena, m2": "1,500 €",
            "Cena": "120,000  €",
        },
    ),
    general_models.Ad(
        id="tr_53287710",
        title="Saimnieks Izīrē dzīvokli. 2 izolētas istabas.Dzīvoklis cilv",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/blffe.html",
        data={
            "Iela": "Alberta 11",
            "Ist.": "3",
            "m2": "59",
            "Stāvs": "2/6",
            "Sērija": "P. kara",
            "Cena, m2": "3.73 €",
            "Cena": "220  €/mēn.",
        },
    ),
    general_models.Ad(
        id="tr_53287628",
        title="Plašs, moderns un kluss dzīvoklis pašā Rīgas centrā. Iekšpagalma",
        link="https://ss.com/msg/lv/real-estate/flats/riga/centre/gegnl.html",
        data={
            "Iela": "Skolas 22",
            "Ist.": "3",
            "m2": "136",
            "Stāvs": "4/6",
            "Sērija": "P. kara",
            "Cena, m2": "1,971 €",
            "Cena": "268,000  €",
        },
    ),
]

get_filters_expected_result = [
    {"label": "Cena min", "name": "topt[8][min]", "options_list": []},
    {"label": "Cena max", "name": "topt[8][max]", "options_list": []},
    {
        "label": "Istabas min",
        "name": "topt[1][min]",
        "options_list": [
            ("", ""),
            ("1", "1"),
            ("2", "2"),
            ("3", "3"),
            ("4", "4"),
            ("5", "5"),
            ("6", "6"),
            ("Citi", "Citi"),
        ],
    },
    {
        "label": "Istabas max",
        "name": "topt[1][max]",
        "options_list": [
            ("", ""),
            ("1", "1"),
            ("2", "2"),
            ("3", "3"),
            ("4", "4"),
            ("5", "5"),
            ("6", "6"),
            ("Citi", "Citi"),
        ],
    },
    {"label": "Platība min", "name": "topt[3][min]", "options_list": []},
    {"label": "Platība max", "name": "topt[3][max]", "options_list": []},
    {"label": "Stāvs min", "name": "topt[4][min]", "options_list": []},
    {"label": "Stāvs max", "name": "topt[4][max]", "options_list": []},
    {
        "label": "Sērija",
        "name": "opt[6]",
        "options_list": [
            ("", ""),
            ("67", "103."),
            ("70", "467."),
            ("73", "Čehu pr."),
            ("76", "Hrušč."),
            ("72", "LT proj."),
        ],
    },
]
